Note

Access to this page requires authorization. You can try signing in or .

Access to this page requires authorization. You can try .

Maps - Create Or Update

Service:
Logic Apps
API Version:
2016-06-01

Creates or updates an integration account map.

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Logic/integrationAccounts/{integrationAccountName}/maps/{mapName}?api-version=2016-06-01

URI Parameters

Name In Required Type Description
integrationAccountName
path True

string

The integration account name.

mapName
path True

string

The integration account map name.

resourceGroupName
path True

string

The resource group name.

subscriptionId
path True

string

The subscription id.

api-version
query True

string

The API version.

Request Body

Name Required Type Description
properties.mapType True

MapType

The map type.

location

string

The resource location.

properties.content

Content

The content.

properties.contentType

string

The content type.

properties.metadata

Metadata

The metadata.

properties.parametersSchema

ParametersSchema

The parameters schema of integration account map.

tags

object

The resource tags.

Responses

Name Type Description
200 OK

IntegrationAccountMap

OK

201 Created

IntegrationAccountMap

Created

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Create or update a map

Sample request

PUT https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/testResourceGroup/providers/Microsoft.Logic/integrationAccounts/testIntegrationAccount/maps/testMap?api-version=2016-06-01

{
 "properties": {
 "mapType": "Xslt",
 "content": "<?xml version=\"1.0\" encoding=\"UTF-16\"?>\r\n<xsl:stylesheet xmlns:xsl=\"http://www.w3.org/1999/XSL/Transform\" xmlns:msxsl=\"urn:schemas-microsoft-com:xslt\" xmlns:var=\"http://schemas.microsoft.com/BizTalk/2003/var\" exclude-result-prefixes=\"msxsl var s0 userCSharp\" version=\"1.0\" xmlns:ns0=\"http://BizTalk_Server_Project4.StringFunctoidsDestinationSchema\" xmlns:s0=\"http://BizTalk_Server_Project4.StringFunctoidsSourceSchema\" xmlns:userCSharp=\"http://schemas.microsoft.com/BizTalk/2003/userCSharp\">\r\n <xsl:import href=\"http://btsfunctoids.blob.core.windows.net/functoids/functoids.xslt\" />\r\n <xsl:output omit-xml-declaration=\"yes\" method=\"xml\" version=\"1.0\" />\r\n <xsl:template match=\"/\">\r\n <xsl:apply-templates select=\"/s0:Root\" />\r\n </xsl:template>\r\n <xsl:template match=\"/s0:Root\">\r\n <xsl:variable name=\"var:v1\" select=\"userCSharp:StringFind(string(StringFindSource/text()) , &quot;SearchString&quot;)\" />\r\n <xsl:variable name=\"var:v2\" select=\"userCSharp:StringLeft(string(StringLeftSource/text()) , &quot;2&quot;)\" />\r\n <xsl:variable name=\"var:v3\" select=\"userCSharp:StringRight(string(StringRightSource/text()) , &quot;2&quot;)\" />\r\n <xsl:variable name=\"var:v4\" select=\"userCSharp:StringUpperCase(string(UppercaseSource/text()))\" />\r\n <xsl:variable name=\"var:v5\" select=\"userCSharp:StringLowerCase(string(LowercaseSource/text()))\" />\r\n <xsl:variable name=\"var:v6\" select=\"userCSharp:StringSize(string(SizeSource/text()))\" />\r\n <xsl:variable name=\"var:v7\" select=\"userCSharp:StringSubstring(string(StringExtractSource/text()) , &quot;0&quot; , &quot;2&quot;)\" />\r\n <xsl:variable name=\"var:v8\" select=\"userCSharp:StringConcat(string(StringConcatSource/text()))\" />\r\n <xsl:variable name=\"var:v9\" select=\"userCSharp:StringTrimLeft(string(StringLeftTrimSource/text()))\" />\r\n <xsl:variable name=\"var:v10\" select=\"userCSharp:StringTrimRight(string(StringRightTrimSource/text()))\" />\r\n <ns0:Root>\r\n <StringFindDestination>\r\n <xsl:value-of select=\"$var:v1\" />\r\n </StringFindDestination>\r\n <StringLeftDestination>\r\n <xsl:value-of select=\"$var:v2\" />\r\n </StringLeftDestination>\r\n <StringRightDestination>\r\n <xsl:value-of select=\"$var:v3\" />\r\n </StringRightDestination>\r\n <UppercaseDestination>\r\n <xsl:value-of select=\"$var:v4\" />\r\n </UppercaseDestination>\r\n <LowercaseDestination>\r\n <xsl:value-of select=\"$var:v5\" />\r\n </LowercaseDestination>\r\n <SizeDestination>\r\n <xsl:value-of select=\"$var:v6\" />\r\n </SizeDestination>\r\n <StringExtractDestination>\r\n <xsl:value-of select=\"$var:v7\" />\r\n </StringExtractDestination>\r\n <StringConcatDestination>\r\n <xsl:value-of select=\"$var:v8\" />\r\n </StringConcatDestination>\r\n <StringLeftTrimDestination>\r\n <xsl:value-of select=\"$var:v9\" />\r\n </StringLeftTrimDestination>\r\n <StringRightTrimDestination>\r\n <xsl:value-of select=\"$var:v10\" />\r\n </StringRightTrimDestination>\r\n </ns0:Root>\r\n </xsl:template>\r\n</xsl:stylesheet>",
 "contentType": "application/xml",
 "metadata": {}
 },
 "location": "westus"
}

Sample response

Status code:
200
{
 "properties": {
 "mapType": "Xslt",
 "contentLink": {
 "uri": "<Uri>",
 "contentVersion": "\"0x8D464C057F22E5F\"",
 "contentSize": 3056,
 "contentHash": {
 "algorithm": "md5",
 "value": "A2avz/M0ov2FPI3+Je8vDw=="
 }
 },
 "createdTime": "2017-03-06T18:41:03.7366103Z",
 "changedTime": "2017-03-06T18:41:04.4088605Z",
 "metadata": {}
 },
 "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/<resourceGroup>/providers/Microsoft.Logic/integrationAccounts/<IntegrationAccount>/maps/testMap",
 "name": "IntegrationAccountMap291",
 "type": "Microsoft.Logic/integrationAccounts/maps"
}
Status code:
201
{
 "properties": {
 "mapType": "Xslt",
 "contentLink": {
 "uri": "<Uri>",
 "contentVersion": "\"0x8D464C057F22E5F\"",
 "contentSize": 3056,
 "contentHash": {
 "algorithm": "md5",
 "value": "A2avz/M0ov2FPI3+Je8vDw=="
 }
 },
 "createdTime": "2017-03-06T18:41:03.7366103Z",
 "changedTime": "2017-03-06T18:41:04.4088605Z",
 "metadata": {}
 },
 "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/<resourceGroup>/providers/Microsoft.Logic/integrationAccounts/<IntegrationAccount>/maps/testMap",
 "name": "IntegrationAccountMap291",
 "type": "Microsoft.Logic/integrationAccounts/maps"
}

Definitions

Name Description
Content

The content.

ContentHash

The content hash.

ContentLink

The content link.

IntegrationAccountMap

The integration account map.

MapType
Metadata

The metadata.

Object
ParametersSchema

The parameters schema of integration account map.

Content

Object

The content.

ContentHash

Object

The content hash.

Name Type Description
algorithm

string

The algorithm of the content hash.

value

string

The value of the content hash.

Object

The content link.

Name Type Description
contentHash

ContentHash

The content hash.

contentSize

integer (int64)

The content size.

contentVersion

string

The content version.

metadata

Object

The metadata.

uri

string

The content link URI.

IntegrationAccountMap

Object

The integration account map.

Name Type Description
id

string

The resource id.

location

string

The resource location.

name

string

Gets the resource name.

properties.changedTime

string (date-time)

The changed time.

properties.content

Content

The content.

properties.contentLink

ContentLink

The content link.

properties.contentType

string

The content type.

properties.createdTime

string (date-time)

The created time.

properties.mapType

MapType

The map type.

properties.metadata

Metadata

The metadata.

properties.parametersSchema

ParametersSchema

The parameters schema of integration account map.

tags

object

The resource tags.

type

string

Gets the resource type.

MapType

Enumeration
Value Description
NotSpecified
Xslt

Metadata

Object

The metadata.

Object

Object

ParametersSchema

Object

The parameters schema of integration account map.

Name Type Description
ref

string

The reference name.